<template>
  <div class="app-container">
    <div style="display: flex;justify-content: space-between;">
      <el-form :inline="true" style="display: flex;align-items: center;flex-wrap: wrap;" >
        <el-form-item>
          <el-button
              type="primary"
              plain
              icon="Plus"
              @click="addProject('add',{})"
          >
            新增
          </el-button>
        </el-form-item>
        <!--        <el-form-item label="姓名：" >-->
        <!--          <el-input v-model="data.queryParams.name" placeholder="请输入姓名"></el-input>-->
        <!--        </el-form-item>-->
        <!--        <el-form-item >-->
        <!--          <el-button-->
        <!--              type="primary"-->
        <!--              @click="getList"-->
        <!--          >查询</el-button>-->
        <!--          <el-button-->
        <!--              type="primary"-->
        <!--              plain-->
        <!--              @click="reset"-->
        <!--          >重置</el-button>-->
        <!--        </el-form-item>-->
      </el-form>
    </div>
    <!-- 表格数据 -->
    <el-table v-loading="loading" :data="dataList" :border="true">
      <el-table-column label="序号" type="index" align="center" width="80" />
      <el-table-column label="仓库名称" prop="name" align="center"  />
      <el-table-column label="仓库编号" prop="type" align="center" />
      <el-table-column label="面积" prop="phone" align="center" />
      <el-table-column label="危险等级" prop="createBy" align="center" />
      <el-table-column label="核定药量" prop="createBy" align="center" />
      <el-table-column label="核定人员" prop="updateBy" align="center" />
      <el-table-column label="创建人" prop="createTime" align="center" />
      <el-table-column label="创建时间" prop="updateTime" align="center" />
      <el-table-column label="修改人" prop="updateBy" align="center" />
      <el-table-column label="修改时间" prop="updateTime" align="center" />
      <el-table-column label="操作" align="center" class-name="small-padding fixed-width" >
        <template #default="scope">
          <el-button link type="primary" @click="addProject('edit',scope.row)">编辑</el-button>
          <el-button link type="danger" @click="handleDelete(scope.row)">删除</el-button>
        </template>
      </el-table-column>
    </el-table>
    <pagination
        v-show="total > 0"
        :total="total"
        v-model:page="queryParams.pageIndex"
        v-model:limit="queryParams.pageSize"
        @pagination="getList"
    />
    <warehouseDialog ref="dialogRef" @getList="getList"></warehouseDialog>
  </div>
</template>

<script setup>
import {getCurrentInstance, onMounted, onUnmounted, reactive, ref, toRefs} from "vue";
import {ElMessage, ElMessageBox} from "element-plus";
import warehouseDialog from './components/warehouseDialog.vue'
import {delTemplate, getTemplate} from "@/api/signAgreement/template";
import {getWarning} from "@/api/company/warning";
import Cookies from "js-cookie";
const { proxy } = getCurrentInstance();
const loading = ref(false);
const dialogRef = ref();
const createSignRef = ref();
const data = reactive({
  queryParams: {
    pageIndex: 1,
    pageSize: 10,
    filter: {
      companyName: '',
      companyCode: ''
    }
  },
  total: 0,
  dataList: []
});

const { queryParams, total, dataList } = toRefs(data);
const classHourRef = ref();
onMounted(()=>{
  const info = JSON.parse(Cookies.get('userInfo'))
  data.queryParams.filter.companyCode = info.companynumber
  getList()
})

onUnmounted(()=>{

})

const addProject = (type,value) => {
  dialogRef.value.openDialog(type,value)
}
const getList = async () => {
  loading.value = true
  const res = await getWarning(data.queryParams)
  if(res.code == 200){
    data.dataList = res.result.records
    data.total = res.result.total
  }else{
    ElMessage.warning(res.message)
  }
  loading.value = false
}

/** 重置新增的表单以及其他数据  */
function reset() {
  data.queryParams = {
    pageIndex: 1,
    pageSize: 10,
    filter: {
      companyName: '',
      companyCode: ''
    }
  }
  getList()
}
const handleDelete = (val) => {
  ElMessageBox.confirm(
      '确定删除此条数据？',
      '提示',
      {
        confirmButtonText: '确定',
        cancelButtonText: '取消',
        type: 'warning',
      })
      .then( async() => {
        const res = await delTemplate(val.id)
        if(res.code == 200){
          ElMessage.success('数据删除成功')
          await getList()
        }else{
          ElMessage.warning(res.message)
        }
      })
}



const getRowKeys = (row) => {
  return row.name
}
</script>
